Skip to main content
POST
Create Data Masking Rule

Body

application/json

The request body resource

name
string
required

The unique name of the data masking rule, it's immutable after creation

Example:

"mask-email"

attributes
string[]

Attributes associated with this data masking rule

Example:
connection_ids
string[]

The connections that this rule applies to

Example:
custom_entity_types
object[]

The custom entity types that this rule applies to

description
string

The description of the data masking rule

Example:

"Mask email addresses in the data"

score_threshold
number

The minimal detection score threshold for the entities to be masked.

Example:

0.6

supported_entity_types
object[]

The registered entity types that this rule applies to

Response

Created

name
string
required

The unique name of the data masking rule, it's immutable after creation

Example:

"mask-email"

attributes
string[]

Attributes associated with this data masking rule

Example:
connection_ids
string[]

The connections that this rule applies to

Example:
custom_entity_types
object[]

The custom entity types that this rule applies to

description
string

The description of the data masking rule

Example:

"Mask email addresses in the data"

id
string<uuid>

The unique identifier of the data masking rule

Example:

"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"

managed_by
string
read-only

Managed By is a read only field that indicates who manages this rule. When set (e.g. "hoop" for protection profiles), the rule cannot be modified or deleted directly.

Example:

"hoop"

score_threshold
number

The minimal detection score threshold for the entities to be masked.

Example:

0.6

supported_entity_types
object[]

The registered entity types that this rule applies to

updated_at
string
read-only

The timestamp when the rule was updated

Example:

"2023-08-15T14:30:45Z"